- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Gets the most recent health check results for this regional HealthSource.
HTTP request
GET https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/healthSources/{healthSource}/getHealth The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Name of the project scoping this request. |
region |
Name of the region scoping this request. |
healthSource |
Name of the HealthSource resource to get health for. |
Request body
The request body must be empty.
Response body
Response message for RegionHealthSources.GetHealth
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "kind": string, "healthState": enum, "sources": [ { "source": string, "forwardingRule": string, "backends": [ { "group": string, "healthyEndpointCount": integer, "endpointCount": integer } ] } ] } |
| Fields | |
|---|---|
kind |
Output only. Type of resource. Always |
healthState |
Health state of the HealthSource. |
sources[] |
Health state details of the sources. |
sources[].source |
Fully qualified URL of the associated source resource. This is always a backend service URL. |
sources[].forwardingRule |
Fully qualified URL of the forwarding rule associated with the source resource if it is a L4ILB backend service. |
sources[].backends[] |
Represents an instance group or network endpoint group behind the source backend service. Only used if the sourceType of the regionHealthSource is BACKEND_SERVICE. |
sources[].backends[].group |
Fully qualified URL of an instance group or network endpoint group behind the source backend service. |
sources[].backends[].healthyEndpointCount |
Number of endpoints considered healthy when determining health of the regionHealthSource. |
sources[].backends[].endpointCount |
Total number of endpoints when determining the health of the regionHealthSource. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.regionHealthSources.get
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.